Loading...
Searching...
No Matches
BALL::QSAR::FeatureSelectionConfiguration Struct Reference

`#include <BALL/QSAR/configIO.h>`

## Public Member Functions

| FeatureSelectionConfiguration ()

## Public Attributes

String | model
String | data_file
int | feat_type
String | output
int | k_fold
bool | within_section
String | statistic_name
String | selection_name
int | statistic
bool | remove_correlated
double | cor_threshold
bool | opt_model_after_fs
bool | opt_kernel_after_fs
double | quality_increase_cutoff
bool | opt
bool | done
int | grid_search_steps
int | grid_search_recursions
double | grid_search_stepwidth
int | opt_k_fold

## Detailed Description

Definition at line 76 of file configIO.h.

## Constructor & Destructor Documentation

## FeatureSelectionConfiguration()

BALL::QSAR::FeatureSelectionConfiguration::FeatureSelectionConfiguration | ( |  | ) |

## Member Data Documentation

## cor_threshold

double BALL::QSAR::FeatureSelectionConfiguration::cor_threshold

Definition at line 90 of file configIO.h.

## data_file

String BALL::QSAR::FeatureSelectionConfiguration::data_file

Definition at line 81 of file configIO.h.

## done

bool BALL::QSAR::FeatureSelectionConfiguration::done

Definition at line 95 of file configIO.h.

## feat_type

int BALL::QSAR::FeatureSelectionConfiguration::feat_type

Definition at line 82 of file configIO.h.

## grid_search_recursions

int BALL::QSAR::FeatureSelectionConfiguration::grid_search_recursions

Definition at line 97 of file configIO.h.

## grid_search_steps

int BALL::QSAR::FeatureSelectionConfiguration::grid_search_steps

Definition at line 96 of file configIO.h.

## grid_search_stepwidth

double BALL::QSAR::FeatureSelectionConfiguration::grid_search_stepwidth

Definition at line 98 of file configIO.h.

## k_fold

int BALL::QSAR::FeatureSelectionConfiguration::k_fold

Definition at line 84 of file configIO.h.

## model

String BALL::QSAR::FeatureSelectionConfiguration::model

Definition at line 80 of file configIO.h.

## opt

bool BALL::QSAR::FeatureSelectionConfiguration::opt

Definition at line 94 of file configIO.h.

## opt_k_fold

int BALL::QSAR::FeatureSelectionConfiguration::opt_k_fold

Definition at line 99 of file configIO.h.

## opt_kernel_after_fs

bool BALL::QSAR::FeatureSelectionConfiguration::opt_kernel_after_fs

Definition at line 92 of file configIO.h.

## opt_model_after_fs

bool BALL::QSAR::FeatureSelectionConfiguration::opt_model_after_fs

Definition at line 91 of file configIO.h.

## output

String BALL::QSAR::FeatureSelectionConfiguration::output

Definition at line 83 of file configIO.h.

## quality_increase_cutoff

double BALL::QSAR::FeatureSelectionConfiguration::quality_increase_cutoff

Definition at line 93 of file configIO.h.

## remove_correlated

bool BALL::QSAR::FeatureSelectionConfiguration::remove_correlated

Definition at line 89 of file configIO.h.

## selection_name

String BALL::QSAR::FeatureSelectionConfiguration::selection_name

Definition at line 87 of file configIO.h.

## statistic

int BALL::QSAR::FeatureSelectionConfiguration::statistic

Definition at line 88 of file configIO.h.

## statistic_name

String BALL::QSAR::FeatureSelectionConfiguration::statistic_name

Definition at line 86 of file configIO.h.

## within_section

bool BALL::QSAR::FeatureSelectionConfiguration::within_section

Definition at line 85 of file configIO.h.